Rated 5 out of 5 stars

we absolutely need a version that works with ff 3.5 . This add on keeps me from upgrading firefox and there isn't something similar here.